ServerEvents.recipes(event => {

  
  let gemLampRecipe = (lamp, gem) => {
    event.remove({output: lamp})
    event.shaped(lamp, [
      ' A ',
      'ABA',
      ' A '
    ],{
      A: gem,
      B:'minecraft:glowstone',
    })
  }
  
  gemLampRecipe('create:rose_quartz_lamp', 'create:polished_rose_quartz')
  gemLampRecipe('sullysmod:emerald_lantern', '#forge:gems/emerald')
  gemLampRecipe('sullysmod:diamond_lantern', '#forge:gems/diamond')
  gemLampRecipe('sullysmod:quartz_lantern', '#forge:gems/quartz')
  gemLampRecipe('sullysmod:amber_lantern', 'sullysmod:amber')
  gemLampRecipe('sullysmod:jade_lantern', '#forge:gems/jade')
  
  gemLampRecipe('quark:black_crystal_lamp', 'quark:black_corundum_pane')
  gemLampRecipe('quark:blue_crystal_lamp', 'quark:blue_corundum_pane')
  gemLampRecipe('quark:green_crystal_lamp', 'quark:green_corundum_pane')
  gemLampRecipe('quark:indigo_crystal_lamp', 'quark:indigo_corundum_pane')
  gemLampRecipe('quark:orange_crystal_lamp', 'quark:orange_corundum_pane')
  gemLampRecipe('quark:red_crystal_lamp', 'quark:red_corundum_pane')
  gemLampRecipe('quark:violet_crystal_lamp', 'quark:violet_corundum_pane')
  gemLampRecipe('quark:white_crystal_lamp', 'quark:white_corundum_pane')
  gemLampRecipe('quark:yellow_crystal_lamp', 'quark:yellow_corundum_pane')
  
  
  
})